body {
    background-color: #f0f4fb;
    font-family: 'Roboto', 'GT Eesti Display',-apple-system,system-ui,BlinkMacSystemFont,'Segoe UI',Roboto,Oxygen-Sans,Ubuntu,Cantarell,'Helvetica Neue',sans-serif,'Apple Color Emoji','Segoe UI Emoji','Segoe UI Symbol';
}

/*!* Let's get this party started *!
::-webkit-scrollbar {
    width: 12px;
}

!* Track *!
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    -webkit-border-radius: 10px;
    border-radius: 10px;
}

!* Handle *!
::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: rgba(166, 157, 157, 0.8);
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
}
::-webkit-scrollbar-thumb:window-inactive {
    background: rgba(241, 241, 241, 0.4);
}*/

/* dashboard */

/*.close {
    box-sizing: content-box;
    width: 16px;
    height: 16px;
    padding: .25em .25em;
    color: #000;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e") center/17px auto no-repeat;
    border: 0;
    border-radius: .375rem;
    cursor: pointer;
}*/

.clear-text {
    cursor: pointer;
    padding: 7px;
    border-radius: 50%;
}

.clear-text:hover {
    background-color: #e1e1e1;
}


.table tr td,
.table tr th {
    padding: 1rem;
}

.table tr.selected {
    background-color: #cecece;
}

/*.table .date {
    border-bottom: 1px dotted #000;
    cursor: pointer;
}*/

.table .dropdown-toggle,
.table input[type='checkbox']{
    cursor: pointer;
}

.table .action {
    visibility: hidden;
}

.table .action i {
    cursor: pointer;
    padding: 9px;
    border-radius: 50%;
}

.table .action i:hover{
    background-color: #e1e1e1;
}

.wrap-text {
    overflow-wrap: break-word;
}

i {
    font-style: normal;
}

.date-container  {
    position: relative;
    margin-bottom: 8px;
}

.date-container .close {
    display: none;
    cursor: pointer;
    box-sizing: content-box;
    width: 16px;
    height: 16px;
    padding: .25em .25em;
    background: #282828 url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='rgba(225,225,225,100)'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e") center/10px auto no-repeat;
    border: 0;
    border-radius: 50%;
    opacity: .5;
    position: absolute;
    top: -6px;
    right: -6px;
}

.button-square {
    position: relative;
    border: 1px solid #5F9754;
    text-align: center;
    border-radius: 9px;
    font-size: 1rem;
    padding: .5rem;
    margin-right: 5px;
    color: #5F9754;
    cursor: pointer;
}

.button-square.active {
    background-color: #5F9754;
    color: #fff;
}

.flex-container .plus {
    font-weight: 550;
    font-size: 25px;
    color: #5F9754;
}

.flex-container span.fee {
    margin-top: 0.5rem;
    font-size: 0.80rem;
}


.calendar-date i,
.calendar-timestamp i,
.calendar-date span,
.calendar-date i,
.calendar-range span,
.calendar-range i,
.calendar-timestamp span{
    cursor: pointer;
}

.table .options {
    vertical-align:middle
}

.table .options i {
    cursor: pointer;
}

.table .options.hide{
    display:none;
}

.table .options.show{
    display: table-cell;
}

.nav-title:before {
    font-family: 'Font Awesome 6 Pro';
    content: "\e3af";
    color: #fff;
    font-weight: bold;
    font-size: 2rem;
    margin-right: .8rem;
}

.nav-title {
    color: #fff;
    font-size: 2rem;
}

.nav-title:hover{
    text-decoration: none; !important;
}

.nav {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
}

.nav .card {
    border: none;
    align-content: space-between;
    flex-wrap: wrap;
    display: flex;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.nav .card > * {
    margin: 1rem 0;
}

.nav .card .link {
    height: 7rem;
    min-height: 7rem;
    width: 300px;
    max-width: 400px;
    padding: 16px 16px 0 16px;
    font-size: 2rem;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.nav .card .linkadd {
    padding: 16px 14px 0 14px;
    display: flex;
    font-size: 1rem;
    text-decoration: none;
    justify-content: center;
    align-items: flex-end;
    width: 100%;
    height: 100%;
}

.nav .card .container {
    list-style: none;
    display: flex;
    margin: 15px;
    padding: 0;
}

/*.nav .card .container:not(.right){
    background-color: #f0f4fb;
    display: flex;
    border-radius: 5px;
}*/

.nav .card .container .left {
    background-color: #f0f4fb;
    display: flex;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.nav .card .container .right {
    background-color: #b2bfcd;
    display: flex;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.nav .link:hover {
    background-color: #173a66;
    color: #fff;
    text-decoration: none;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.nav .linkadd:hover {
    color: #fff;
    background-color: #173a66;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}


.nav .card .icon {
    color: #2a69b8;
    font-weight: 900;
}

.nav .card .container .quickicon {
    width: 110px;
    display: flex;
}

.nav .card .container .quickicon-name {
    display: flex;
    font-size: 1.1rem;
    font-weight: 400;
    padding: .125rem 0 .6rem;
}

.nav .card .quickiconadd {
    font-size: 1.3rem;
    display: flex;
    margin-bottom: 12px;
}

.nav .card .quickiconadd:hover {
    color: #fff;
}

/* category */

.vase {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    padding: 4px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-left: 1rem;
}

.vase .options{
    display: flex;
    align-items: center;
}

.vase .options span {
    margin: 5px;
}

.vase .options .initial, .vase .options .include{
    cursor: pointer;
    user-select: none;
}

.vase .options .initial.selected, .vase .options .include.selected{
    color: #fff;
    background-color: #198754;
    border: 1px solid transparent;
}

.vase .close {
    font-family: sans-serif;
    display: flex;
    position: absolute;
    top: 4px;
    right: 4px;
    align-items: center;
    justify-items: center;
    justify-content: center;
    user-select: none;
    border-radius: 5px;
    border: 1px solid transparent;
    cursor: pointer;
    width: 15px;
    height: 15px;
    padding: 10px;
    font-weight: bold;
}

.vase .close:hover{
    background-color: #ccc;
}

.pill {
    display: inline-flex;
    font-size: .8rem;
    background-color: #fff;
    /*border: 1px solid #ccc;*/
    color: #000;
    border-radius: 25px;
    padding: .5rem;
    margin: 2px;
}

.pill.square {
    border-radius: 5px;
}

.pill.green {
    background-color: #d1f7c4ff;
}

.pill.amber {
    background-color: #ffbf00ff;
}

.pill.yellow {
    background-color: #FFD880;
}

.pill.pink {
    background-color: #FF80B1;
}

.pill.purple {
    background-color:  #8086FF;
}

.pill.blue {
    background-color:  #B3F4FF;
}

.google-search-box {
    display: inline-flex;
    flex-direction: row;
    border: 1px solid #ccc;
    padding: 5px 8px 5px 16px;
    border-radius: 25px;
}

.google-search-box:hover {
    /*box-shadow: 0 2px 2px 0 rgba(0,0,0,.16),0 0 0 1px rgba(0,0,0,.08);*/
    box-shadow:0 10px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19) !important;
}

.google-search-box .glass:before {
    font-family: 'Font Awesome 6 Pro';
    content: "\f002";
    color: #aaa;
    font-size: 1.1rem;
}

.google-search-box .glass{
    padding:0;
    margin-top: 4px;
    vertical-align: center;
}

.google-search-box .search-text{
    background-color: transparent;
    border: none;
    padding: 0;
    margin: 0 0 0 12px;
    color: rgba(0,0,0,.87);
    word-wrap: break-word;
    outline: none;
    display: flex;
    flex: 100%;
    vertical-align: center;
    tap-highlight-color: transparent;
    height: 34px;
    font-size: 16px;
}

#container #left-container {
    overflow-y: scroll;
    height: 100vh;
    padding-top: 0px;
    padding-right: 10px;
    padding-bottom: 0px;
    padding-left: -20px;
}

#container #right-container {
    overflow-y: scroll;
    height: 100vh;
    padding-bottom: 75px;
}

/*.product {
    display: inline-block;
    zoom: 1;
    *display: inline;
    align-items: center;
    align-content: center;
    text-align: center;
    padding: 12px;
    border:1px solid #ccc;
    border-radius: 5px;
    margin: 3px;
    background-color: #fff;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.16),0 0 0 1px rgba(0,0,0,.08);
    max-width: 175px;
    max-height: 275px;
    height: 250px;
}*/

.product-list {
    display: flex;
    flex-wrap: wrap;
}

.product {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;
    justify-content: center;
    text-align: center;
    padding: 12px;
    border:1px solid #ccc;
    border-radius: 5px;
    margin: 3px;
    background-color: #fff;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.16),0 0 0 1px rgba(0,0,0,.08);
    max-width: 175px;
    max-height: 275px;
    height: 250px;
}

.product.inactive{
    /*background-color: #ddd;*/
}

.product.inactive, .product.inactive a{
    color: #dc3545;
    /*font-weight: bolder;*/
}

.product .checkbox {
    display: flex;
    margin-bottom: 5px;
}

.product .name {
    text-align: center;
    width: 160px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product a {
    text-decoration: none;
    color: #0a53be;
}

.sidenav {
    overflow-y: scroll;
    height: 100vh;
    min-width: 200px;
}

.sidenav .sidenav-menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    /*width: 60px;*/
}

.sidenav .sidenav-menu .sidenav-item a {
    display: block;
    padding: 8px 15px;
    width: 100%;
    border-bottom: 1px solid #ccc;
}

.sidenav .sidenav-menu .sidenav-item a.active {
    background-color: #ddd;
}

.sidenav .sidenav-menu .sidenav-item a:hover {
    background-color: #eee;
}

#topBar {
    background-color: #f9f9f9;
    width: 100%;
    padding: 15px;
    position: fixed;
    margin-bottom: 55px;
    height: 65px;
    display: block;
    top: 0;
    /*right: 0;*/
    z-index: 100;
}

#category-header-title {
    padding: 8px 15px;
    font-weight: bold;
    line-height: 20px;
    font-size: 22px;
}

#category-nav {
    -ms-flex: 0 0 20px;
    flex: 0 0 20px;
    width: 100%;
}

@media (max-width: 690px) {
    #category-nav {
        display: none;
    }
}

/* end category */


/* dashboard */
.dash-card{
    display: inline-block;
    width: auto;
    min-width: 180px;
    padding: 15px;
    align-items: center;
    align-content: center;
    justify-content: center;
    text-align: center;
    background-color: #fff;
    border-radius: 8px;
    cursor: pointer;
    margin: 15px 0;
}

.dash-card .label {
    padding: 10px 0;
    display: block;
    cursor: pointer;
}

.dash-card a{
    text-decoration: none;
}

.dropdown-item i {
    margin-right: 16px;
}

#category-table i,
#product-table i{
    font-style: normal;
}

.error-icon:before {
    font-family: 'Font Awesome 6 Pro';
    content: "\f071";
    color: #8a1632;
    font-weight: 400;
    font-size: 2em;
}


#category-table #hidden .hidden:before,
#product-table #hidden .hidden:before{
    font-family: 'Font Awesome 6 Pro';
    content: "\f06e";
    color: #198754;
    font-weight: 400;
    font-size: 2em;
}

#category-table #hidden .unhidden:before,
#product-table #hidden .unhidden:before{
    font-family: 'Font Awesome 6 Pro';
    content: "\f070";
    color: #cdcdcd;
    font-weight: 400;
    font-size: 2em;
}

#category-table #hidden,
#product-table #hidden{
    text-align: center;
}

#category-table #hidden i,
#product-table #hidden i{
    cursor: pointer;
}

#category-table #archive .archived:before,
#product-table #archive .archived:before{
    font-family: 'Font Awesome 6 Pro';
    content: "\f187";
    color: #198754;
    font-weight: 400;
    font-size: 2em;
}

#category-table #archive .unarchived:before,
#product-table #archive .unarchived:before{
    font-family: 'Font Awesome 6 Pro';
    content: "\f187";
    color: #cdcdcd;
    font-weight: 400;
    font-size: 2em;
}

#category-table #archive,
#product-table #archive{
    text-align: center;
}

#category-table #archive i,
#product-table #archive i{
    cursor: pointer;
}


/* feature */
#category-table #feature .featured:before,
#product-table #feature .featured:before {
    font-family: 'Font Awesome 6 Pro';
    content: "\e123";
    color: #198754;
    font-weight: 400;
    font-size: 2em;
}

#category-table #feature .unfeatured:before,
#product-table #feature .unfeatured:before {
    font-family: 'Font Awesome 6 Pro';
    content: "\f192";
    color: #cdcdcd;
    font-weight: 400;
    font-size: 2em;
}

#category-table #feature,
#product-table #feature{
    text-align: center;
}

#category-table #feature i,
#product-table #feature i{
    cursor: pointer;
}


/* publish */
#category-table #publish .published:before,
#product-table #publish .published:before {
    font-family: 'Font Awesome 6 Pro';
    content: "\f058";
    color: #198754;
    font-weight: 400;
    font-size: 2em;
}

#category-table #publish .unpublished:before,
#product-table #publish .unpublished:before {
    font-family: 'Font Awesome 6 Pro';
    content: "\e12e";
    color: #cdcdcd;
    font-weight: 400;
    font-size: 2em;
}

#category-table #publish,
#product-table #publish{
    text-align: center;
}

#category-table #publish i,
#product-table #publish i{
    cursor: pointer;
    font-style: normal;
}

.table tbody tr td img.image{
    border-radius: 8px;
}


/* ajax loader */
.loading {
    display: none;
}
.loading.show{
    background-image: url("/assets/images/loading.gif");
    display: block;
}
.loading.hide{
    display: none;
}